# Class BeforeCellRenderArgs

java.lang.Object
org.daypilot.ui.args.gantt.BeforeCellRenderArgs

public class BeforeCellRenderArgs extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeforeCellRenderArgs(DateTime start, DateTime end, String resourceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `backgroundColorEquals(String another)`
  `String`
  `getBackgroundColor()`
  `String`
  `getBackgroundImage()`
  `String`
  `getBackgroundRepeat()`
  `String`
  `getCssClass()`
  `DateTime`
  `getEnd()`
  `String`
  `getInnerHTML()`
  `String`
  `getResourceId()`
  `DateTime`
  `getStart()`
  `boolean`
  `isBusiness()`
  `void`
  `setBackgroundColor(String backgroundColor)`
  `void`
  `setBackgroundImage(String backgroundImage)`
  `void`
  `setBackgroundRepeat(String backgroundRepeat)`
  `void`
  `setBusiness(boolean business)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setInnerHTML(String innerHTML)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeforeCellRenderArgs

    public BeforeCellRenderArgs(DateTime start, DateTime end, String resourceId)

- ## Method Details

  - ### getBackgroundColor

    public String getBackgroundColor()

  - ### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)

  - ### isBusiness

    public boolean isBusiness()

  - ### setBusiness

    public void setBusiness(boolean business)

  - ### getStart

    public DateTime getStart()

  - ### getEnd

    public DateTime getEnd()

  - ### getResourceId

    public String getResourceId()

  - ### backgroundColorEquals

    public boolean backgroundColorEquals(String another)

  - ### getInnerHTML

    public String getInnerHTML()

  - ### setInnerHTML

    public void setInnerHTML(String innerHTML)

  - ### getBackgroundImage

    public String getBackgroundImage()

  - ### setBackgroundImage

    public void setBackgroundImage(String backgroundImage)

  - ### getBackgroundRepeat

    public String getBackgroundRepeat()

  - ### setBackgroundRepeat

    public void setBackgroundRepeat(String backgroundRepeat)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)